/*
 Theme Name:   GeneratePress Child
 Theme URI:    http://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Thomas Usborne
 Author URI:   http://edge22.com
 Template:     generatepress
 Version:      0.1
 Tags: two-columns, three-columns, one-column, right-sidebar, left-sidebar, fluid-layout, responsive-layout, custom-header, custom-background, custom-menu, custom-colors, sticky-post, threaded-comments, translation-ready, featured-images, theme-options, light, white, dark, black, blue, brown, gray, green, orange, pink, purple, red, silver, tan, yellow
*/


* {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

body * { box-sizing: border-box; }

/* Remove title & top padding */
.entry-header {display: none;}
.entry-content { margin-top: 0; }

/* Header */
img.header-image { height: 45px; }
.menu-toggle:before { font-size: 18px; }

/* Random */
.parallax { -webkit-transition: none !important; transition: none !important; }

/* Typography */

	.hero h1,
	.title h1 { font-size: 80px; font-weight: 900; }

	.elementor hr { height: 2px !important; margin: 30px 0 !important; background-color: #EEE !important; }

	.elementor-text-editor ul,
	.elementor-text-editor ol  { font-size:1.05em; line-height:1.1em; margin: 20px 0 0 22px; list-style:none; }
	.elementor-text-editor ol  { list-style:decimal; }
	.elementor-text-editor li  { margin-top: 10px; list-style: disc; }

	.copyright-bar { text-align: left; } /* Copyright */

/* Element Modifications */


/* Elementor mods */


/* Copyright */
.copyright-left { display: block; width: 50%; float: left; -moz-text-align-last: left; text-align-last: left;}
.copyright-right { display: block; width: 50%; float: left; text-align: right; }

	a.bmm:link { font-family: 'Georgia'; color: #CCC; font-weight: bold; text-decoration: none; }
	a.bmm:visited { color: #CCC; text-decoration: none; }
	a.bmm:hover,
	a.bmm:active { color: #FFF; text-decoration: none; }

/* 404 */
.error404 .entry-header {display: inherit; padding-top: 50px;}
.error404 .entry-header h1 { font-weight: 900; }
.error404 .entry-content { padding-top: 30px; }
.error404 .search-form { display: none; }

/* LOMAKE */
.lomake { 
	/* border: 4px solid #3f719f; 
	padding: 3%; */ 
}
.lomake h3 {
	color: #5496cc;
}
.lomake .wpcf7-form-control.wpcf7-radio {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-flow: column;
	    flex-flow: column;
}
.lomake h3:not(:first-child) {
	margin-top: 64px;
}
.lomake button, html input[type="button"], input[type="reset"], input[type="submit"], a.button, a.button:visited {
	color: #ffffff;
	background-color: #3f719f;
}
button:hover, html input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover, a.button:hover, button:focus, html input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus, a.button:focus {
	color: #ffffff;
	background-color: #5496cc;
}
.wpcf7-form-control.wpcf7-submit {
	margin: 32px 0 0 0;
}

/* LOMAKE - Sisäilmakartoituskysely */
.lomake .rastitukset .wpcf7-form-control.wpcf7-radio {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-flow: column;
	flex-flow: row;
}
.rastitukset {
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: 1fr 130px;
	grid-template-columns: 1fr 130px;
}
.rastitukset > span { margin: 0 0 16px; }
.rastitukset br {	display: none; }
.kentat {
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: (minmax(300px,1fr))[auto-fit];
	    grid-template-columns: repeat(auto-fit, minmax(300px,1fr));
	grid-gap: 8px;
}
.kentat input {
	width: 100%;
}


/* Responsive styling */

@media only screen and (max-width: 1000px) {

	/* Hide */
	.hide-1000 { display: none; }

}

@media only screen and (max-width: 768px) {

	.parallax { 
		background-position: cover !important;
		background-attachment: fixed !important;
	}

	/* Hide */
	.hide-786 { display: none; }

}

@media only screen and (max-width: 600px) {

	/* Hide */
	.hide-600 { display: none; }
	
}

@media only screen and (max-width: 480px) {

	/* Hide */
	.hide-480 { display: none; }

}

